/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.mockvehicledataservice;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.fleet.implement.ImplementDataService;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Wytse Visser
 */
@ServiceProvider(service = ImplementDataService.class)
public class MockImplementDataService implements ImplementDataService {

    List<Model> models = new ArrayList<>();

    public MockImplementDataService() {
        final String sprayerType = "Sprayer";
        final String mowerType = "Mower";
        final String harvesterType = "Harvester";
        final String brandA = "Brand A";
        final String brandB = "Brand b";

        Model model = new Model(sprayerType, brandA, "SuperSprayer2000");
        models.add(model);

        model = new Model(sprayerType, brandA, "SuperSprayer3000");
        models.add(model);

        model = new Model(mowerType, brandA, "MegaMower200");
        models.add(model);

        model = new Model(mowerType, brandA, "MegaMower200b");
        models.add(model);

        model = new Model(mowerType, brandB, "MultiMower");
        models.add(model);

        model = new Model(harvesterType, brandB, "HyperHarvester");
        models.add(model);

        model = new Model(harvesterType, brandB, "Harvester300");
        models.add(model);
    }

    @Override
    public List<Model> getModels() {
        return models;
    }
}
