/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.mockvehicledataservice;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.fleet.machine.MachineDataService.Model;
import nl.cloudfarming.client.fleet.model.Vehicle;
import nl.cloudfarming.client.fleet.vehicle.VehicleDataService;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Wytse Visser
 */
@ServiceProvider(service = VehicleDataService.class)
public class MockJohnDeereDataService implements VehicleDataService {

    List<Model> models = new ArrayList<>();
    
    public MockJohnDeereDataService() {
        final String tractorType = "Tractor";
        final String sprayerType = "Self propelled sprayer";
        final String brand = "John Deere";
        
        Model model = new Model(tractorType, brand, "JD-T1234");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.0);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 150);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 400);
        models.add(model);
        
        model = new Model(tractorType, brand, "JD-T9876");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.0);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 150);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 450);
        models.add(model);
        
        model = new Model(sprayerType, brand, "JD-2SP-100");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.0);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 100);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 300);
        models.add(model);
        
        model = new Model(sprayerType, brand, "JD-2SP-200");
        model.putProperty(Vehicle.PROP_DISPLACEMENT, 6.1);
        model.putProperty(Vehicle.PROP_HORSEPOWER, 100);
        model.putProperty(Vehicle.PROP_FUELTANKCAPACITY, 350);
        models.add(model);
    }

    @Override
    public List<Model> getModels() {
        return models;
    }
}